org.apache.http

## Class ContentTooLongException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.ContentTooLongException

- All Implemented Interfaces:
    Serializable

      public class ContentTooLongException
      extends IOException

  Signals that HTTP entity content is too long.
  Since:
    4.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentTooLongException(String message)` Creates a new ContentTooLongException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentTooLongException

          public ContentTooLongException(String message)

      Creates a new ContentTooLongException with the specified detail message.
      Parameters:
        `message` - exception message

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.